
Core - Task # 49162

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-06-16 Assigned To:
Updated: 2015-06-05 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: nightmare
Sprint Focus:
Subject: Rewrite install tool
Description

Subtasks:
Bug # 49352: Reports module link to Install Tool section is incorrect Resolved
Task # 49353: Reports Module links to the standalone install tool Resolved
Task # 49357: Remove Environment Check checkMailCapabilities Resolved
Task # 49366: Adapt install tool mail functions to use Swiftmailer Resolved
Bug # 49460: Install Tool fails to test for required modules early in the process Resolved
Bug # 49540: LocalConfiguration cleanup breaks install process Resolved
Bug # 49458: SystemEnvironmentCheck fails with undefined function imageftbbox Resolved
Bug # 49694: Install saltedpasswords and rsaauth during first install Resolved
Bug # 49700: Installer triggers PHP warnings with folder structure tests Resolved
Bug # 49705: Database analyzer: Enable check boxes for add tables and add fields Resolved
Bug # 49715: Folder structure honors file / folderCreateMask Resolved
Bug # 49732: Cleanup permission settings in factory configuration Resolved
Bug # 49748: System information looks ugly Resolved
Bug # 49591: [InstallTool] UpdateWizard automatically performs all db updates Resolved
Feature # 50495: Add a clear all cache button to install tool Resolved
Feature # 49760: Install: Let the install tool check whether ext_localconf and ext_tabl... Resolved
Feature # 50612: Create BE-user in installation wizard (123 step) with a salted password Resolved
  Task # 51355: Cleanup saltedpasswords extension configuration Resolved
Bug # 31407: Admin user creation function uses hardcoded md5() for password Resolved
Feature # 50613: Use salted Install Tool password Resolved
Feature # 50910: Fixed Container for Selection menu ion the left (install tool, feature... Resolved
Feature # 50940:  Add uninstall buttons to install tool Resolved
Bug # 51093: Create database "databaseName" not escaped ... New
Bug # 51357: Install tool database select during upgrading Resolved
Bug # 51358: Display warning if AdditionalConfiguration.php is not empty during upgrading Closed
Bug # 51366: Install tool test actios fatals if image was not rendered Resolved
Bug # 51433: Install tool: Refactor database connect configuration settings Resolved
Feature # 51454: Install tool configuration system Resolved
Feature # 51499: Catch fatal errors caused by incompatible extension configurations Resolved
Task # 51930: install tool database data step should show query errors New
Bug # 51946: Installing TYPO3 -> Installing TYPO3 CMS Resolved
Bug # 51952: Install tool: Docheader missing Resolved
Bug # 51956: Install Tool does not ask for database settings Resolved
Bug # 51989: Docheader fixed position Resolved
Bug # 51996: Cleanup install tool module code Resolved
Bug # 51997: Install Tool System environment warning badges look ugly Resolved
Task # 50947: Installer: Show only empty databases? Offer to overwrite TYPO3-related ta... Resolved
Feature # 47924: Implement switch to simple view on environment check Closed

2015-08-04 1/12



Task # 52088: Remove GFX im_imvMaskState and im_negate_mask settings Resolved
Task # 52287: Move configuration code from bootstrap to install Resolved
Task # 52314: ext:install Improve wording in empty database select Resolved
Bug # 52351: ext:install Implement template files in FolderStructure Resolved
Bug # 52354: ext:install Protect some methods in FolderStructure Resolved
Feature # 52356: ext:install Relaxed permission check Resolved
Bug # 52367: ext:install Better error handling in first folder step Resolved
Bug # 52368: ext:install Show number of folder structure errors in menu Resolved
Bug # 52338: Silent configuration generates endless redirect loop Resolved
Feature # 52401: ext:install FolderStructure basic link support Resolved
Task # 52407: Folder not writeable should be an "Error" not a "Warning" Resolved
Task # 52413: Make Install Tool look beautiful in modern IE's Resolved
Task # 52414: ext:install Break possible redirect loop Resolved
Feature # 52440: Disable certain tools in Install Tool if "LocalConfiguration" is not w... New
Bug # 52437: Don't write LocalConfiguration on every Install Tool entry Resolved
Task # 52405: Install Tool: Allow multiple status messages for a single File Resolved
Feature # 52547: ext:install Core update Resolved
Feature # 52617: ext:install Verify checksum of downloaded core during update Closed
Feature # 52618: ext:install Verify checksum of downloaded core during update Resolved
Bug # 52638: ext:install Add registry entries if core update was done New
Feature # 52639: ext:install Environment variable to deactivate core update Resolved
Task # 55446: Obsolete code in saltedpasswords Resolved
Task # 55464: Install Tool Lock Screen (Backend Mode) Styling Resolved
Bug # 55517: ClassLoader not working with NullBackend for legacy classes Resolved
Bug # 55556: Install Tool - Can't save some of the configuration presets Resolved
Bug # 55551: Install tool complains about trailing slash in typo3_src link Resolved
Bug # 55527: Exception "Invalid cache backend option servers" in Install Tool with memc... Resolved
Bug # 54728: Fake cache entry is never removed from cache array in CacheManager Rejected
Bug # 58379: Detect display_errors=Off during installation New
Bug # 58380: Too many redirects during first install Resolved
Related issues:
related to Core - Bug # 55555: Cleanup EXT/requiredExt handling Resolved 2014-02-01
related to Core - Feature # 45487: Inexsistant error messages when trying to ... Closed 2013-02-14
related to Core - Bug # 52757: ext:install Correct exception class inheritance Resolved 2013-10-13
related to Core - Bug # 52604: Install Wizard does not allow to go a step back Rejected 2013-10-08
related to Core - Bug # 52578: Install process removes permission Resolved 2013-10-07
related to Core - Bug # 52585: Overwriting exiting database during install do... Resolved 2013-10-07
related to Core - Task # 43086: Create wizard to remove/rename LocalConfigura... Resolved 2012-11-19
related to Core - Task # 51995: Improve status messages of install tool Resolved 2013-09-13
related to Core - Bug # 51396: Fix misleading method name Resolved 2013-08-27
related to Core - Bug # 51407: Remove misleading checkmark icon from buttons ... Resolved 2013-08-27
related to Core - Feature # 51410: Display count of failed error checks in in... Resolved 2013-08-27
related to Core - Bug # 44415: White screen when updating in Install Tool > U... Resolved 2013-01-09
related to Core - Bug # 49261: Remove duplicate vera.ttf from core Resolved 2013-06-19
related to Core - Bug # 49263: Install tool: Code optimization in update wiza... Resolved 2013-06-19
related to Core - Bug # 49266: Installer: Double escape for image test descri... Resolved 2013-06-19
related to Core - Task # 49267: Installer: Update info message about ['GFX'][... Resolved 2013-06-19
related to Core - Bug # 49269: Installer misses units after the size and dime... Resolved 2013-06-19
related to Core - Feature # 49298: Install tool: Check xdebug.max_nesting_level Resolved 2013-06-20
related to Core - Bug # 49299: Install tool: Remove obsolete settings from Lo... Resolved 2013-06-20
related to Core - Bug # 49334: Remove last handling of multiplyDBfieldSize Resolved 2013-06-21
related to Core - Bug # 49335: Remove last bits of gdlib_2 Resolved 2013-06-21
related to Core - Bug # 49336: Remove forceCharset handling Resolved 2013-06-21
related to Core - Feature # 49301: Remove/Disable extensions via install tool... Closed 2013-06-21
related to Core - Bug # 44755: 6.0.0 behaves like 3.8.0 initially Resolved 2013-01-23
related to Core - Bug # 36031: T3D export of tt_content elements with IRRE re... Resolved 2012-04-14
related to Core - Bug # 49758: checkTheDatabase hook missing in refactored In... Closed 2013-07-07
related to Core - Bug # 49432: Install Tool does not write configuration Needs Feedback2013-06-26
related to Core - Bug # 50450: Drop keys before fields in install tool Resolved 2013-07-26
related to Core - Bug # 50875: Install Tool feature "Create admin user" can't... Resolved 2013-08-07
related to Core - Bug # 35076: 1-2-3 Installer incorrectly reports database s... Resolved 2012-03-21
related to Core - Bug # 51363: Error messages in update wizard are html escaped Closed 2013-08-26
related to Core - Bug # 51368: Incompatible extension Uninstallation always r... Resolved 2013-08-26
related to Core - Bug # 51382: Old information on install tool Welcome screen Closed 2013-08-27
related to Core - Feature # 51271: Reportsmodule add test for Bug in LibXML Resolved 2013-08-22
related to Core - Task # 51469: dbal: Remove obsolete CSS class from HTML tem... Resolved 2013-08-28
related to Core - Bug # 51667: Inf. redirection loop after first Step of Inst... Closed 2013-09-03
related to Core - Bug # 51542: Install Tool: Warning: touch() Utime failed: P... Resolved 2013-08-29
related to Core - Bug # 51540: Check for host before connect to database Resolved 2013-08-29
related to Core - Task # 47740: Move $TYPO3_CONF_VARS['DB'] to the TOP of All... Resolved 2013-04-30
related to Core - Bug # 47733: Don't set extensions checked by default in Ins... Resolved 2013-04-30
related to Core - Task # 38701: Make Install Tool section "All Configuration"... Resolved 2012-07-06
related to Core - Feature # 22652: Provide a way to see Install Tool DB passw... New 2010-05-14
related to Core - Bug # 49075: Install tool uninstallation does not clear the... Resolved 2013-06-12
related to Core - Bug # 40946: Install-Tool: Catchable Fatal Error after faul... Resolved 2012-09-15
related to Core - Task # 40530: FAL: Move migration scripts into their own su... Closed 2012-09-02
related to Core - Bug # 37423: Install tool fails fal conversion, if a file i... Closed 2012-05-23
related to Core - Bug # 22648: Improve layout of Database Analyser Resolved 2010-05-13
related to Core - Bug # 19029: Database Analyser: "Compare with $TCA" display... Resolved 2008-06-27
related to Core - Bug # 16789: Install tool Option [adminOnly] = -1 shuts dow... Resolved 2006-12-14
related to Core - Feature # 51362: Hint to check errorlog when an extension i... Resolved 2013-08-26
precedes Core - Task # 51931: Improve Installer database selection step Resolved 2013-09-12
precedes TypoScript Reference (TSref) - Task # 49417: Update path to vera.ttf Resolved 2013-06-25
precedes Core - Bug # 49265: Install tool: Warning in upgrade wizard Resolved 2013-06-24 2013-06-24
precedes Core - Bug # 49260: Install System Extensions doesn't use "userInput" Resolved 2013-06-25 2013-06-25
precedes Core - Bug # 49258: Update Wizard user input not taken in account Resolved 2013-06-24 2013-06-24
precedes Core - Bug # 49188: Install tool: Better UX for fould out sections Resolved 2013-06-24 2013-06-24
precedes Core - Bug # 49186: Install tool: DB port setting magic Resolved 2013-06-24 2013-06-24
precedes Core - Task # 48405: 1-2-3 Installer add Port and Socket configuration Closed 2013-06-24 2013-06-24
precedes Core - Bug # 21769: Hardcoded BE path in typo3/sysext/install/update... Rejected 2013-06-24 2013-06-24

Associated revisions
Revision 2e3c9d5e - 2013-06-19 17:13 - Christian Kuhn

[!!!][TASK] Rewrite install tool
Main features:
    -  The god class "Installer" is gone and split into two major parts.

A step controller handling major upgrade and install tasks, and a
tool controller handling the known install tool actions.

    -  The step controller is designed to be always called prior to the
tool controller, if a step needs execution, it comes up, otherwise
the tool controller will be executed.

    -  The entry point typo3/install/index.php is gone and substituted
by typo3/sysext/install/Start/Install.php. The file contains a

2015-08-04 3/12



lengthy comment to document the main request flow and used GET/POST
parameters.

    -  Most parts of the install tool do not bootstrap the whole system
anymore, in general only the base bootstrap, dbal (if loaded),
extbase and fluid ext_localconf.php are loaded. This makes sure
the install tool can not fatal if some extensions ext_localconf
is broken. The whole install tool runs without any caching, so a fatal
in some cache file can not kill the install tool execution.

    -  Installing TYPO3 CMS on a dbal enabled system is now handled in
the step installer directly to make the according code easier to
understand.

    -  Rendering is done with a simplified fluid standalone view.

    -  All install tool forms are CSRF protected.

    -  A new and fully unit tested class structure is introduced, designed
to take care of the basic file and folder structure of the instance.
It is used during installation to create the needed structure and
can be called in the install tool to compare and fix the current
instance structure with the expected structure. In effect, the
"dummy" package is obsolete. An instance can be created by just
linking index.php, typo3_src/ and typo3/ within the document root,
the installer takes care of creating everything else.

    -  The installation procedure is released from the package handling.
Packages will be handled by the extension manager after initial
installation with another patch.

Loose ends:
    -  The whole package handling needs to be implemented in the

extension manager.

    -  Not all upgrade wizards work, this code area needs some love.

    -  A 'core' auto updater could be implemented now. A GSoC project
is currently running to realize this.

    -  The SQL schema migration API is a mess and should be refactored.
For now, another helper class is introduced to encapsulate some
of the nasty details.

    -  An auto configuration and configuration suggestion system is
planned and needs to be done. It should suggest best configuration
options in the install tool, and should auto configure the system
during installation in the last install step.

    -  If the backend or frontend fatals due to some extension that
triggers a fatal in ext_localconf or ext_tables (for example
due to a require() of a no longer existing file), a small helper
action in the install tool could find those extensions and suggest
to unload them.
Change-Id: Ice3248caa903449ad6a83ea4f234c7bd125bdb66
Resolves: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21468
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Tested-by: Alexander Opitz
Reviewed-by: Stefan Froemken
Tested-by: Stefan Froemken
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 1b261525 - 2013-06-19 21:08 - Christian Kuhn

[TASK] Remove duplicate vera.ttf from ext:core

vera.ttf is a font only used in the install tool, it was duplicated
to ext:install with the rewrite patch, but forgotten to be removed
from ext:core along the way. The file is removed from ext:core now
to finish the process.

Change-Id: Ibeb8a459655d51b0d5fd5269060c0a36b47b85fc
Resolves: #49261
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21512
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 640e6170 - 2013-06-19 22:13 - Christian Kuhn

[TASK] Install tool: Code optimization in update wizard action

An if with only a 'throw Exception' call in it breaks code execution
and acts as a guard clause. The code below does not need to be in
an else case.

Change-Id: Ib24ed4bee06763fb46145b815a0b6f3fdf7bafa6
Resolves: #49263
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21515
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision df90964e - 2013-06-19 22:34 - Alexander Opitz

[BUGFIX] Use userInput instead of own broken method

The user data from form post submit is broken after install tool
rewrite. Instead of using own method to gather data changed to
the userInput variable that is set by the calling action.

Resolves: #49260
Related: #49162
Related: #49258
Releases: 6.2
Change-Id: I2ce0b5e4bfcb0ef013039297a9186f0f59413b31
Reviewed-on: https://review.typo3.org/21511
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 76e5255e - 2013-06-19 22:54 - Christian Kuhn

[BUGFIX] Install tool: Warning in upgrade wizard

The 'silent' cache framework table upgrade throws a warning that
explode() expects a string but an array is given in
SqlSchemaMigration getStatementArray(). The upgrade wizard uses
a wrong API call, since this method is already called within
getExpectedDatabaseSchema() of the helper class.

Change-Id: I6cdde020265e730faa07a25ebda41917672ccea7
Resolves: #49265
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21516
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b784b045 - 2013-06-20 21:02 - Christian Kuhn

[FEATURE] Install tool: Check xdebug.max_nesting_level

If PHP xdebug extension is loaded, TYPO3 CMS can fail with the
xdebug.max_nesting_level default value of 100. This is easily
triggered by fluid, and since we have fluid in the install tool
we need a check that gives an administrator a nice warning if the
nesting level is not set high enough for our demands.

Change-Id: I4812e7f47b04219d380d7454d51b2e6b74436b6d
Resolves: #49298
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21549
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b8c3c04b - 2013-06-21 21:54 - Christian Kuhn

[FEATURE] Install tool: Remove obsolete keys from LocalConfiguration

Some configuration settings are obsolete, but they have never been
actively removed from LocalConfiguration. The patch introduces a
list of obsolete configuration options (like SYS/extCache) to the
install tool step controller and silently removes those settings
from LocalConfiguration to keep it clean. This also obsoletes
some deprecation code within core bootstrap.

Change-Id: Id422801f5bbedc0f444a0d905bdbb7d736fd82e8
Resolves: #49299
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21553
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 788964e5 - 2013-06-23 16:01 - Wouter Wolters

[BUGFIX] Reports module link to Install Tool section is incorrect

Change the module name in the link and add a new label to
mention the new section name Important Actions.

Change-Id: I75b0698efd759d5a2f679ecceba059f8a8975876
Resolves: #49352
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21613
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision f0d8a255 - 2013-06-24 00:47 - Wouter Wolters

[BUGFIX] Reports Module links to the standalone install tool

Link to the backend module instead of the standalone version.
Change-Id: Icf32b91c1fe6edb2b3fa313c865441a1edc3a731
Resolves: #49353
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21616
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision ebcedcfa - 2013-07-05 15:06 - Christian Kuhn

[TASK] Install steps: Load saltedpasswords and rsaauth

Change factory configuration to include settings for saltedpasswords
and rsaauth so they are loaded by default if installation is
completed. PhpPass is used as default salt algorithm since this
is a better than salted md5 and has no additional system
depencies.

Resolves: #49694
Related: #49162
Releases: 6.2

Change-Id: Ib01628dc2cb80082e8dbd3a5f6c1f24cc5aae589
Reviewed-on: https://review.typo3.org/21924
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer

Revision afa7b7f6 - 2013-07-05 16:31 - Christian Kuhn

[TASK] Database analyzer: Enable add tables and add fields

Enable the check boxes for 'add tables' and 'add fields' in the
database analyzer by default. Adding is not risky and can be
suggested automatically.

Resolves: #49705
Related: #49162
Releases: 6.2

Change-Id: Ib3069a135f4baedc2bebf59ed5c42a72937fb897
Reviewed-on: https://review.typo3.org/21943
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

2015-08-04 8/12

https://review.typo3.org/21616
https://review.typo3.org/21924
https://review.typo3.org/21943


Revision f610981c - 2013-07-05 21:28 - Christian Kuhn

[BUGFIX] Folder structure honors file and folderCreateMask

The folder structure class construct takes care of permissions
of files and folders. The patch adds support for config values
fileCreateMask and folderCreateMask.

Resolves: #49715
Related: #49162
Releases: 6.2

Change-Id: I9f41ba7f038992ef77cf212229fca524e346431f
Reviewed-on: https://review.typo3.org/21971
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

Revision da7a0de4 - 2013-07-05 21:54 - Philipp Gampe

[BUGFIX] Support mysql socket connection

With the switch to mysqli in 6.1, the connection to mysql server via
socket broke.
With mysqli, the definition is now:
    -  If hostname is "localhost", a socket is used and the socket file

can be given optionally if it is different from the default.
    -  If hostname is not "localhost" but an IP address, a port can be

given that may be different from the default mysql 3306.

The patch now reflects this in the database connect step and adds a
parameter for the optional socket location. The patch will be adapted
for 6.1 to include only the additional optional socket parameter.

Resolves: #48117
Related: #49162
Releases: 6.2, 6.1
Change-Id: I968a72dbaf90b3f319c03e697137630534d325c1
Reviewed-on: https://review.typo3.org/20933
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision c262a79f - 2013-07-06 16:40 - Christian Kuhn

[BUGFIX] Cleanup permission settings in factory configuration

DefaultConfiguration now contains sane values for fileCreateMask
and folderCreateMask, so the values from FactoryConfiguration
can be removed.
Resolves: #49732
Related: #49162
Releases: 6.2

Change-Id: I7225648cebad697850fd2a728c021ad4ffe80b88
Reviewed-on: https://review.typo3.org/22012
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision 34e9b71d - 2013-07-06 20:37 - Christian Kuhn

[BUGFIX] System information looks ugly

Install tool -> important actions -> system information does
not break correctly on the definition list. Adapt css a bit.

Resolves: #49748
Related: #49162
Releases: 6.2

Change-Id: Ia2f1c5e4152c238e9c53fb383588fd12d72df1d8
Reviewed-on: https://review.typo3.org/22053
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2013-06-16 15:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#2 - 2013-06-16 15:45 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#3 - 2013-06-16 15:51 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#4 - 2013-06-16 15:55 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#5 - 2013-06-16 16:28 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#6 - 2013-06-16 20:51 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#7 - 2013-06-16 21:26 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#8 - 2013-06-16 21:43 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#9 - 2013-06-16 22:12 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#10 - 2013-06-16 22:31 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#11 - 2013-06-16 22:44 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#12 - 2013-06-16 22:48 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#13 - 2013-06-16 22:57 - Gerrit Code Review
Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#14 - 2013-06-17 13:34 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#15 - 2013-06-19 15:55 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21468

#16 - 2013-06-19 17:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2e3c9d5e25e5beadafebca949de3e05eeb6f120a.
